Package org.apache.felix.hc.core.impl.executor

## Class HealthCheckFuture

- java.lang.Object
- - java.util.concurrent.FutureTask<ExecutionResult>
  - - org.apache.felix.hc.core.impl.executor.HealthCheckFuture

All Implemented Interfaces:
  `Runnable`, `Future<ExecutionResult>`, `RunnableFuture<ExecutionResult>`

    public class HealthCheckFuture
    extends FutureTask<ExecutionResult>

Future to be able to schedule a health check for parallel execution.

### Nested Class Summary

Nested Classes
`static interface` `HealthCheckFuture.Callback`

### Constructor Summary

Constructors
`HealthCheckFuture​(org.apache.felix.hc.api.execution.HealthCheckMetadata metadata, org.osgi.framework.BundleContext bundleContext, HealthCheckFuture.Callback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.hc.api.execution.HealthCheckMetadata` `getHealthCheckMetadata()`
`String` `toString()`

### Methods inherited from class java.util.concurrent.FutureTask

`cancel, done, get, get, isCancelled, isDone, run, runAndReset, set, setException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HealthCheckFuture

    public HealthCheckFuture​(org.apache.felix.hc.api.execution.HealthCheckMetadata metadata,
                             org.osgi.framework.BundleContext bundleContext,
                             HealthCheckFuture.Callback callback)

### Method Detail

#### getHealthCheckMetadata

    public org.apache.felix.hc.api.execution.HealthCheckMetadata getHealthCheckMetadata()

#### toString

    public String toString()

Overrides:
  `toString` in class `FutureTask<ExecutionResult>`